* {
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;

  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}


body {
  background: rgb(0, 122, 51);
  color: #fff;
}

#header {
  width: 100%;
  min-height: 100vh;
  height: auto;
  background-image: url(images/background.png);
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}


.container {
  padding: 10px 10%;
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  width: 100%;
  background-color: transparent;
  border-radius: 10px;


  background: rgba(4, 133, 51, 0.162);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(10px);
  border-radius: 10px;
  box-shadow: 0 4px 30px rgba(4, 133, 51, 0.162);
}

.navItems li a {
  font-family: "Indie Flower", cursive;
}

nav ul li {
  display: inline-block;
  list-style: none;
  margin: 10px 20px;
}

nav ul li a {
  color: white;
  text-decoration: none;
  font-size: 30px;
  position: relative;
}

nav ul li a::after {
  content: '';
  width: 0;
  height: 3px;
  background: rgb(150, 56, 33);
  position: absolute;
  left: 0;
  bottom: -6px;
  transition: 0.5s;
}

nav ul li a:hover::after {
  width: 100%;
}

.header-text {
  margin-top: 20%;
  font-size: 30px;
}

.header-text h1 {
  font-size: 60px;
  margin-top: 20px;
}

.header-text h1 span {
  color: rgb(139, 111, 78);
}

.header-text h1 .subtitle {
  color: white;
  font-size: 25px;
  font-weight: bold;
}

.blurred-bg {
  position: relative;
  display: inline-block;
  background: rgba(255, 255, 255, 0.258);
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
  padding: 0.2em 0.5em;
  border-radius: 0.3em;
}

/* --------------about----------------- */
#about {
  padding: 80px 0;
}

.row {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.about-col-1 {
  flex-basis: 35%;
}

.about-col-1 img {
  width: 100%;
  border-radius: 15px;
  height: auto;
}

.about-col-2 {
  flex-basis: 60%
}

.sub-title {
  font-size: 60px;
  font-weight: 600;
  background: rgb(139, 111, 78);

  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
}

.sub-title2 {
  font-size: 60px;
  font-weight: 600;
  background: rgb(139, 111, 78);

  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
}

.sub-title3 {
  font-size: 60px;
  font-weight: 600;
  background: rgb(139, 111, 78);

  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
}

.tab-titles {
  display: flex;
  margin: 20px 0 40px;
}

.tab-links {
  margin-right: 50px;
  font-size: 18px;
  font-weight: 500;
  cursor: pointer;
  position: relative;
}

.tab-links::after {
  content: '';
  width: 0;
  height: 3px;
  background: rgb(150, 56, 33);
  position: absolute;
  left: 0;
  bottom: -8px;
  transition: 0.5s;
}

.tab-links.active-link::after {
  width: 50%;
}

.tab-contents ul li {
  list-style: none;
  margin: 10px 0;
}

.tab-contents ul li span {
  color: rgb(253, 185, 39);
  ;
  font-size: 14px;
}

.tab-contents {
  display: none;
}

.tab-contents.active-tab {
  display: block;
}

/* -----------------projects-------------------- */
#projects {
  padding: 30px 0;
}

.projects-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  grid-gap: 40px;
  margin-top: 50px;
}

.projects-list div {
  background: rgb(0, 142, 51);
  padding: 40px;
  font-size: 13px;
  font-weight: 300;
  border-right: 10px;
  border-radius: 10px;
  transition: background 0.5s, transform 0.5s;
}

.projects-list div i {
  font-size: 50px;
  margin-bottom: 30px;
}

.projects-list div i h2 {
  font-size: 30px;
  font-weight: 500;
  margin-bottom: 15px;
}

.projects-list div a {
  text-decoration: none;
  color: #fff;
  font-size: 12px;
  margin-top: 20px;
  display: inline-block;
  font-weight: bold;
}

.projects-list div:hover {
  background: rgb(209, 173, 63);
  transform: translateY(-10px);
  color: rgb(29, 66, 138);
}


/* ---------- Skills ---------- */

#skills {
  padding: 50px 0;
}

.skills-list {
  padding-top: 50px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;
  /* Add gap between icons */
}

.skills-list i {
  font-size: 3rem;
}

/* ---------- Contact ---------- */
.contact-left {
  flex-basis: 35%;
}

.contact-right {
  flex-basis: 60%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.contact-left p {
  margin-top: 30px;
}

.contact-left p i {
  color: rgb(139, 111, 78);
  margin-right: 15px;
  font-size: 25px;
}

.social-icons {
  margin-top: 30px;
}

.social-icons a {
  text-decoration: none;
  font-size: 30px;
  margin-right: 15px;
  color: #ababab;
  display: inline-block;
  transition: transform 0.5s;
}

.social-icons a:hover {
  color: rgb(139, 111, 78);
  transform: translateY(-5px);
}

form input,
form textarea {
  width: 100%;
  border: 0;
  outline: none;
  background: rgb(0, 142, 51);
  padding: 15px;
  margin: 15px 0;
  color: #fff;
  font-size: 18px;
  border-radius: 6px;
}

::placeholder {
  color: #fff;
}

/* ---------- css for small screen ---------- */
nav .fa-solid {
  display: none;
}

@media only screen and (max-width: 782px) {
  #header {
    background-image: url(images/background.png);
  }

  .header-text {
    margin-top: 30vh;
    font-size: 18px;
    text-align: center;
  }

  .header-text h1 {
    font-size: 30px;
  }

  nav {
    /* Remove blur effect on small screens */
    background-color: transparent !important;
    backdrop-filter: none !important;
    -webkit-backdrop-filter: none !important;
    box-shadow: none !important;
  }

  nav .fa-solid {
    display: block;
    font-size: 25px;
    color: black;
  }

  .navItems li a {
    font-family: "Indie Flower", cursive;
  }

  nav ul {
    background: #254b35;
    position: fixed;
    top: 0;
    left: -200px;
    width: 200px;
    height: 100vh;
    padding-top: 50px;
    z-index: 2;
    transition: right 0.5s;
  }

  nav ul li {
    display: block;
    margin: 25px;
  }

  nav ul .fa-solid {
    position: absolute;
    top: 25px;
    right: 25px;
    cursor: pointer;
  }

  .sub-title {
    font-size: 40px;
  }

  .about-col-1,
  .about-col-2 {
    flex-basis: 100%;
  }

  .about-col-1 img {
    width: 50%;
    height: auto;    
    display: block;  
    margin: 0 auto;  
    border-radius: 15px;
  }

  .about-col-1 {
    margin-bottom: 30px;
  }

  .about-col-2 {
    font-size: 14px;
  }

  .tab-links {
    font-size: 16px;
    margin-right: 20px;
  }

  .contact-left,
  .contact-right {
    flex-basis: 100%;
  }
}